petsc-3.4.2 2013-07-02

# SNESGSGetSweeps

Gets the number of sweeps GS will use.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGSGetSweeps(SNES snes, PetscInt * sweeps)

### Input Parameters

snes -the SNES context

### Output Parameters

sweeps -the number of sweeps of GS to perform.

### Keywords

SNES, nonlinear, set, Gauss-Siedel

### See Also

SNESSetGS(), SNESGetGS(), SNESSetPC(), SNESGSSetSweeps()

Level:intermediate
Location:src/snes/impls/gs/snesgs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html